import { ExcessGenerationEntity } from './ExcessGeneration.entity';
export declare const EXCESS_GENERATION_REPOSITORY: unique symbol;
export interface FindOptions {
    generatorIds: string[];
    from: Date;
    to: Date;
}
export declare enum ExcessGenerationColumns {
    Id = "id",
    GeneratorId = "generatorId",
    Timestamp = "timestamp",
    GeneratorMetadata = "generatorMetadata",
    Volume = "volume",
    CreatedAt = "createdAt",
    UpdatedAt = "updatedAt"
}
export declare type NewExcessGeneration = Omit<ExcessGenerationEntity, 'id' | 'createdAt' | 'updatedAt'>;
export interface ExcessGenerationRepository {
    create(matchResult: NewExcessGeneration): Promise<ExcessGenerationEntity>;
    getAll(): Promise<ExcessGenerationEntity[]>;
    find(findOptions: FindOptions): Promise<ExcessGenerationEntity[]>;
}
